//	Copyright:	 1993 Apple Computer, Inc. All rights reserved.
//	Author:		Victor J. Hnyp
//	Date:		03/11/93

// Revisions
//
//	03/11/93	VJH	2.05	Removed EtherTalk Prep as required file for isEtherTalk
//
//	02/24/93	VJH	2.04	Removed isSharedOwned context check
//
//	02/08/93	VJH	2.03	First 1.0 beta release
//
//	11/29/92	VJH	2.01	Added:	Is the frontmost (active) window the same name as the startup volume name?
//									Is the name of any open and visible window the same name as the startup volume name?
//									Is the current directory the startup disk's?
//									Is PrintMonitor installed?
//									Is AppleShare support software installed?
//									Is EtherTalk support software installed?
//									Is TokenTalk support software installed?
//									Is the Control Panel named "..." installed?
//									Is the shared folder whose path is "..." owned by the user?

#include "Types.r"
#include "SysTypes.r"

#define kProgramName  	"FILE"
#define kVersionNumber  "1.0b3"
#define kAppRelease		3
#define kVersionDate	"11-Mar-93"

#define	kVersionBytes	0x01, 0x00, beta, kAppRelease, verUs
#define	kCopyright		"1993 Apple Computer,Inc. All rights reserved."

resource 'vers' (1, kProgramName, purgeable) {
	kVersionBytes,
	kVersionNumber,
	kVersionNumber"  "kVersionDate " "kCopyright
};

resource 'vers' (2, kProgramName, purgeable)
{
	0x01, 0x00, beta, 0x03, verUS,
	"1.0b3",
	"APPLE CONFIDENTIAL"
};
