// AGSampleASCoach.r
// Copyright 1995, Apple Computer, Inc.
// Date:	29-Dec-95
// Author:	guideWorks, LLC
// Web:		http://www.guideworks.com
// EMail:	powers@guideworks.com
//
// This file contains all the AppleScript terminology for AGSampleCode.c.


#define SystemSevenOrLater	true

		// Standard types

#ifndef __TYPES.R__ 
	#include "Types.r"
#endif

		// Apple types and constants

#ifndef __AEOBJECTS.R__
	#include "AEObjects.r"
#endif
#ifndef __ASREGISTRY__
	#include "AERegistry.r"
#endif
#ifndef __AEUSERTERMTYPES__
	#include "AEUserTermTypes.r"
#endif
#ifndef __APPLEEVENTS_R__
	#include "AppleEvents.r"
#endif

resource kAETerminologyExtension (0, "AGSample Terminology") {
	0x01,
	0x00,
	english,
	roman,
	{	/* array Suites: 1 element  */
		/* [1] */
		"AGSample AppleScript Coach Suite",
		"Suite for AGSample AppleScript Coach",
		'ags2',
		1,
		1,
		{	/* array Events: 1 elements */			
			/* [1] */
			"get",
			"Get the data for an object",
			kAECoreSuite,
			kAEGetData,
			typeWildCard,
			"the data from the object",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object whose data is to be returned",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
		},
		{	/* array Classes: 2 elements */
			/* [1] */
			"application",
			cApplication,
			"An application program",
			{	/* array Properties: 0 elements */
			},
			{	/* array Elements: 1 elements */
				'agsc',	// cAGSASCoachObject
				{	/* array KeyForms: 1 elements */
					formName
				},
			},
			/* [2] */
			"item",
			'agsc',	// cAGSASCoachObject
			"An object to be coached",
			{	/* array Properties: 1 elements */
				/* [1] */
				"coachRect",
				'agsr',	// pAGSASCoachRect
				cQDRectangle,
				"the rectangle of the object to be coached",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
	},
};

