/*
	File:		winRect.h

	Contains:	AppleGuide Context Check

	Written by:	Josh Jacobs, Panoramic Software
				
	Copyright:	1993 Apple Computer, Inc., All Rights Reserved.

	Change History (most recent first):
	
		1	04/16/94	JJ		First version of code
*/

#include	"Types.h"
#include	"Memory.h"
#include	"Resources.h"
#include	"Files.h"
#include	"Menus.h"
#include	"OSUtils.h"
#include	"ToolUtils.h"
#include 	"Devices.h"
#include 	"Palettes.h"
#include	"Windows.h"
#include	"Events.h"
#include	"Dialogs.h"
#include	"Controls.h"
#include	"Packages.h"
#include	"Errors.h"
#include	"Traps.h"
#include	"GestaltEqu.h"
#include	"Folders.h"
#include	"StandardFile.h"
#include	"EPPC.h"
#include 	"Serial.h"
#include	"AppleEvents.h"

#define	WindowList		(*(WindowPtr*)0x9D6)
#define	kMaxStringSize	255

typedef	struct{
	Rect	compareTo;
	Str255	winName;
}WinRectData,*WinRectDataPtr,**WinRectDataHandle;


