//	Copyright:	 1993 Apple Computer, Inc. All rights reserved.
//	Author:		Scott Searle (original)
//				Victor J. Hnyp (extensions)
//	Date:		15-Mar-93

// Revisions
//
//	03/15/93	VJH	2.04	Fixed:	isPortSelected, isPortInUse
//
//	02/08/93	VJH	2.03	Fixed:	AppleTalk related states
//
//	01/18/93	VJH	2.02	Fixed:	AppleTalk related states

#ifndef __CHOOSER__
#define __CHOOSER__

#ifndef __UTILITY__
#include "Utility.h"
#endif

// This structure is used in testing isAppleTalk, isPortSelected, isPortInUse
typedef struct
{
	long			filler1;					// Context Selector
	long			wantedATState;
} ATStateInfo, *ATStateInfoPtr;

typedef struct
{
	long			filler1;					// Context Selector
	long			compareSelector;
	long			compareValue;
} CompareInfo, *CompareInfoPtr;

typedef struct
{
	long			filler1;					// Context Selector
	long			filler2;					// Not used
	StringSpec		printerName;				// Compare selector and value
} PrinterInfo, *PrinterInfoPtr;

#endif