//	Copyright:	 1993 Apple Computer, Inc. All rights reserved.
//	Author:		Victor J. Hnyp
//	Date:			08-Feb-93

// Revisions
//
//	02/08/93	VJH	2.04	Fixed:	isControlPanel, isFileExists
//
//	01/14/93	VJH	2.03				General RENO build update
//
//	12/21/92	VJH	2.02	Fixed:	Typecast of PBGetCatInfo((CInfoPBPtr)&thePB) for stricter compile checking
//
//	11/29/92	VJH	2.01	Added:	Is the frontmost (active) window the same name as the startup volume name?
//									Is the name of any open and visible window the same name as the startup volume name?
//									Is the current directory the startup disk's?
//									Is PrintMonitor installed?
//									Is AppleShare support software installed?
//									Is EtherTalk support software installed?
//									Is TokenTalk support software installed?
//									Is the Control Panel named "..." installed?
//									Is the shared folder whose path is "..." owned by the user?
//

//#ifndef __FILE__
//#define __FILE__

#ifndef __UTILITY__
#include "Utility.h"
#endif


typedef struct
{
	long				fileSelector;					// File Selector
	long				sysFolderCode;
	StringSpec		fileName;
} FileState, *FileStatePtr;


//#endif
