#	Copyright:	 1993 Apple Computer, Inc. All rights reserved.
#	Author:		Greg Brewer

#	2.02	01/04/93	VJH	Changed Copyright Notice

#	2.01	11/19/92	GB	Added support for {ShortEcho} {LongEcho} so you can specify
#							Terse, Normal and Verbose echo states



kSTRTRsrcType		=	'strt'
kPROCRsrcType		=	'extm'
kFileType			=	'ctxt'
kFileCreator		=	'reno'

XLinkFiles		=	
						"{Obj}{kFileName}.c.o"	
						"{Obj}:Utility.c.o"

"{Obj}"  "{Src}"

.c.o		.c .h "{Obj}:AllHeaders.dump" "{Obj}:Utility.c.o" "{Src}:One.Make"
	Set Echo {ShortEcho}
	C		{COptionsLocal} "{Src}{default}.c" -o "{Obj}{default}.c.o"
	Set Echo {LongEcho}

All		setOptions "{Out}RenoModules"

setOptions 
	Set CPlusOptionsLocal "-b -mf {MbgOptions} {SymOptions} -d NO_STATIC_CLASSES {IncludeOptions} -i ::"
	Set COptionsLocal "-opt full -n -b {MbgOptions} {SymOptions} {IncludeOptions} -i "{Src}:" -k "{Obj}:""

#
#=======
#

"{Out}RenoModules"		"{Obj}{kFileName}"
	Set Echo {ShortEcho}
	CopyResources -from "{Obj}{kFileName}" -to "{Out}RenoModules" -e ckid -e vers
	Set Echo {LongEcho}
	echo "{Obj}{kFileName}" >> "{out}RezdFiles"

"{Obj}{kFileName}"  {XLinkFiles}
	Set Echo {ShortEcho}
	link	-sn Main={kAppleEventType} -mf -w -t {kFileType} -c {kFileCreator} -rt {kPROCRsrcType}={kResID}	
			-m MAIN												
			{SymOptions}										
			{XLinkFiles}										
			"{Libraries}"Runtime.o							
			"{Libraries}"Interface.o						
			-o {Targ}
	Set Echo {LongEcho}

"{Obj}{kFileName}"  "{Src}{kFileName}.r"
	Set Echo {ShortEcho}
	Rez "{Src}{kFileName}.r" -t {kFileType} -c {kFileCreator} -a -o "{Obj}{kFileName}"
	Set Echo {LongEcho}
