/****************************************/
	
/*	IsTrackPad.c						*/
/*	Author: 			Shemin Gau, IP	*/
/*	Revision History:	02/21/94		*/

/****************************************/


#include <Memory.h>
#include <Types.h>
#include <GestaltEqu.h>
#include <Processes.h>
#include <String.h>
#include <CType.h>
#include <Packages.h>
#include <OSUtils.h>
#include <ToolUtils.h>
#include <Errors.h>


OSErr SetContextResult(void* theData, Size theSize, Ptr* outMessage, Size* outSize);


pascal OSErr main(char msg, Size inSize, void* outMessage, Size* outSize, Handle ignoreMe)
{		
	OSErr		myErr = noErr;
	long		tp_response;
	
	Boolean		result = false;
	
			
	myErr = Gestalt('tpad', &tp_response);	
	if (myErr == noErr) {
		result = true;
	}
	
	myErr = SetContextResult(&result, sizeof(Boolean), outMessage, outSize);
	return(myErr);
}


OSErr SetContextResult(void* theData, Size theSize, Ptr* outMessage, Size* outSize)
{
	Ptr	p;
	
	if (p = NewPtr(theSize)) {
		BlockMove(theData, p, theSize);
		
		*outSize = theSize;
		*outMessage	= p;
		
		return(noErr);
	} else {
		return(MemError());
	}
}
